> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List gateways

> Returns a paginated list of gateways.



## OpenAPI

````yaml /trustgate/api/openapi.json get /v1/gateways
openapi: 3.0.0
info:
  description: >-
    Administrative API for managing gateways and their registries, policies,
    consumers, roles and auth credentials.
  title: TrustGate Admin API
  contact:
    name: NeuralTrust
    url: https://neuraltrust.ai/contact
    email: support@neuraltrust.ai
  version: '1.0'
servers:
  - url: https://agentgateway-admin.dev.neuraltrust.ai
    description: Admin API
security: []
paths:
  /v1/gateways:
    get:
      tags:
        - gateways
      summary: List gateways
      description: Returns a paginated list of gateways.
      parameters:
        - description: Filter by name (substring match)
          name: name
          in: query
          schema:
            type: string
        - description: Page number (1-based)
          name: page
          in: query
          schema:
            type: integer
        - description: Page size
          name: size
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.ListGatewayResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.ListGatewayResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.GatewayResponse
        page:
          type: integer
        size:
          type: integer
        total:
          type: integer
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.GatewayResponse:
      type: object
      properties:
        client_tls:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_domain_gateway.ClientTLSConfig
        created_at:
          type: string
        domain:
          type: string
        hosts:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.GatewayHosts
        id:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        name:
          type: string
        session_config:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_domain_gateway.SessionConfig
        slug:
          type: string
        status:
          type: string
        telemetry:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_domain_telemetry.Telemetry
        updated_at:
          type: string
        version:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_domain_gateway.ClientTLSConfig:
      type: object
      additionalProperties:
        type: array
        items:
          type: integer
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_gateway_response.GatewayHosts:
      type: object
      properties:
        mcp:
          type: string
        proxy:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_domain_gateway.SessionConfig:
      type: object
      properties:
        body_param_name:
          type: string
        enabled:
          type: boolean
        header_name:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_domain_telemetry.Telemetry:
      type: object
      properties:
        enable_plugin_traces:
          type: boolean
        enable_request_traces:
          type: boolean
        exporters:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_domain_telemetry.ExporterConfig
        extra_params:
          type: object
          additionalProperties:
            type: string
        header_mapping:
          type: object
          additionalProperties:
            type: string
    github_com_NeuralTrust_TrustGate_pkg_domain_telemetry.ExporterConfig:
      type: object
      properties:
        name:
          type: string
        settings:
          type: object
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: apiKey
      name: Authorization
      in: header

````